Skip to main content
POST
/
ads
/
{id}
/
unpause
Unpause ad
curl --request POST \
  --url https://api.whop.com/api/v1/ads/{id}/unpause \
  --header 'Authorization: Bearer <token>'
{
  "id": "ad_xxxxxxxxxxxxxxx",
  "title": "<string>",
  "status": "active",
  "platform": "meta",
  "created_at": "2023-12-01T05:00:00.401Z",
  "updated_at": "2023-12-01T05:00:00.401Z",
  "ad_group": {
    "id": "adgrp_xxxxxxxxxxxx"
  },
  "ad_campaign": {
    "id": "adcamp_xxxxxxxxxxx"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.whop.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Path Parameters

id
string
required

The unique identifier of the ad to unpause.

Example:

"ad_xxxxxxxxxxxxxxx"

Response

A successful response

An ad belonging to an ad group.

id
string
required

The unique identifier for this ad.

Example:

"ad_xxxxxxxxxxxxxxx"

title
string | null
required

The display title of the ad. Falls back to the creative set caption when unset.

status
enum<string>
required

Current delivery status of the ad.

Available options:
active,
paused,
inactive,
in_review,
rejected,
flagged
platform
enum<string>
required

The external ad platform this ad is running on (e.g., meta, tiktok).

Available options:
meta,
tiktok
created_at
string<date-time>
required

When the ad was created.

Example:

"2023-12-01T05:00:00.401Z"

updated_at
string<date-time>
required

When the ad was last updated.

Example:

"2023-12-01T05:00:00.401Z"

ad_group
object
required

The parent ad group this ad belongs to.

ad_campaign
object
required

The ad campaign this ad belongs to.